Untitled

mail@pastecode.io avatar
unknown
plain_text
a month ago
2.3 kB
0
Indexable
Never
name: local_delivery_admin
description: A new Flutter project.

publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.0+1

environment:
  sdk: ">=3.2.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter

  #BASE
  cupertino_icons: ^1.0.6
 # html: ^0.15.4
  shared_preferences: ^2.2.2
  google_fonts: ^6.1.0
  country_code_picker: ^3.0.0
  url_launcher: ^6.2.1
  url_strategy: ^0.2.0
  flutter_vector_icons: ^2.0.0
  readmore: ^2.2.0
  responsive_grid_list: ^1.4.0
  shimmer: ^3.0.0
  lottie: ^2.7.0
  file_picker: ^6.1.1
  fluttertoast: ^8.2.4
  flutter_carousel_slider: ^1.1.0
  getwidget: ^4.0.0
  dropdown_search: ^5.0.6
  flutter_html: ^3.0.0-beta.2

  # CURRENCY PICKER
  currency_picker: ^2.0.19

  # IMAGE
  cached_network_image: ^3.3.0
  image_picker: ^1.0.4

  # TIMELINE
  timeline_tile: ^2.0.0

  # DATE TIME PICKER
  date_time_picker: ^2.1.0
  intl: ^0.18.1
  month_year_picker: ^0.3.0+1
  web_date_picker: ^1.0.0+3

  # CONNECTIVITY
  http: ^1.1.2
  connectivity_plus: ^5.0.2

  # STATE MANAGEMENT
  mobx: ^2.2.1
  flutter_mobx: ^2.2.0

  #CHART
  charts_flutter: ^0.12.0
  syncfusion_flutter_charts: ^23.2.6
  flutter_switch: ^0.3.2

  # FIREBASE
  firebase_core: ^2.24.0
  firebase_messaging: ^14.7.6
  firebase_auth: ^4.15.0
  cloud_firestore: ^4.13.3
  firebase_crashlytics: ^3.4.6
  firebase_storage: ^11.5.3
  firebase_database: ^10.3.6
  paginate_firestore: ^1.0.3+1

  #NOTIFICATION
  elegant_notification: ^1.11.2

  #GOOGLE MAP
  maps_launcher: ^2.2.0
  google_maps_flutter_web: ^0.5.4+2
  google_maps_flutter: ^2.5.0
  country_currency_pickers: ^3.0.0
  dropdown_button2: ^2.3.9


  #DOWNLOAD INVOICE PDF
  pdf: ^3.10.6
  printing: ^5.11.1
  universal_html: ^2.2.4
  path_provider: ^2.1.1

  #OTP TEXTFIELD
  otp_text_field: ^1.1.3

  #GOOGLE SIGNIN
  google_sign_in: ^6.1.6
  web: ^0.5.1


  flutter_localizations:
    sdk: flutter

dev_dependencies:
  flutter_test:
    sdk: flutter

  build_runner: ^2.4.6
  mobx_codegen: ^2.4.0
  #flutter packages pub run build_runner build --delete-conflicting-outputs

dependency_overrides:
  intl: ^0.18.0
  cloud_firestore: ^4.8.1
  http: ^0.13.0

flutter:

  uses-material-design: true

  assets:
    - assets/
    - assets/icons/
    - assets/flag/
    - assets/website/
    - assets/icon/

Leave a Comment